<template>
  <h2>Equipe</h2>
  <div class="container-caroussel">
    <img class="left" src="../assets/img/arrow.png" alt="" srcset="" @click="left()">
    <div class="caroussel">
      <div ref="container" class="container">
        <CardEquipe :photo=Dorian nom="Gauron Dorian" description="Développeur" social="https://gitlab.com/gaurondorian"/>
        <CardEquipe :photo=Lucie nom="Picarda Lucie" description="Designer" social="lucie.picarda.pro@gmail.com"/>
      </div>
    </div>
    <img class="right" src="../assets/img/arrow.png" @click="right()">
  </div>

</template>

<script>

import CardEquipe from "./CardEquipe.vue"
import Dorian from "../assets/img/Dorian.jpg"
import Lucie from "../assets/img/Lucie.png"

export default {
    name:"EquipePage",
    components:{
      CardEquipe
    },
    data(){
      return{
        compteur:0,
        Dorian: Dorian,
        Lucie: Lucie
      }
    },
    methods:{
      left(){
        this.compteur = this.compteur == -1 ? 0 : this.compteur -= 1
        this.updateCaroussel()
      },
      right(){
        this.compteur = this.compteur == 0 ? -1 : this.compteur += 1
        this.updateCaroussel()        
      },
      updateCaroussel(){
        this.$refs.container.style.transform = `translate(${this.compteur*860}px)`
        //this.$refs.container.style.transition = "all .5s"
      }
    }
}
</script>

<style lang="scss" scoped>

@import "../style/default";


.container-caroussel{

  position: relative;

  display: flex;

  align-items: center;

  justify-content: center;

  margin-top:5%;
  margin-bottom: 3%;

  .left, .right{
    width: 50px;
    object-fit: contain;
    cursor: pointer;

    transition: width .5s;

    &:hover{
      width: 52px;
    }
  }

  .left{
    transform: rotate(90deg);
    margin-right: 5%;
  }

  .right{
    transform: rotate(-90deg);
    margin-left: 5%;
  }

}

.caroussel{
  position: relative;

  border: 2px solid black;

  width: 800px;

  overflow: hidden;

  .container{
    display:flex;

    width: 1720px;

    transition: all .5s;
  }

}

</style>